OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAF
XCAFPrs

# XCAFPrs_Driver Class Reference

Implements a driver for presentation of shapes in DECAF
document. Its the only purpose is to initialize and return
XCAFPrs_AISObject object on request
.

`#include <XCAFPrs_Driver.hxx>`

## Public Member Functions
virtual Standard_EXPORT Standard_Boolean | Update (const TDF_Label &L, Handle(AIS_InteractiveObject)&ais)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | GetID ()
| returns GUID of the driver

## Member Function Documentation

static Standard_EXPORT const Standard_GUID& XCAFPrs_Driver::GetID | ( |  | ) | `[static]`

Standard_EXPORT const XCAFPrs_Driver::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT Standard_Boolean XCAFPrs_Driver::Update | ( | const TDF_Label & | L,
|  | Handle(AIS_InteractiveObject)& | ais
| ) | `[virtual]`

The documentation for this class was generated from the following file:

- XCAFPrs_Driver.hxx